Log4j 1.2.8

## org.apache.log4j.net
Class TelnetAppender.SocketHandler

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--org.apache.log4j.net.TelnetAppender.SocketHandler

All Implemented Interfaces:
  Runnable

Enclosing class:
  TelnetAppender

protected class TelnetAppender.SocketHandler
extends Thread

The SocketHandler class is used to accept connections from clients. It is threaded so that clients can connect/disconnect asynchronously.

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`TelnetAppender.SocketHandler(int port)`

Method Summary
`void` `finalize()` make sure we close all network connections when this handler is destroyed.
`void` `run()` Continually accepts client connections.
`void` `send(String message)` sends a message to each of the clients in telnet-friendly output.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TelnetAppender.SocketHandler

    public TelnetAppender.SocketHandler(int port)
                                 throws IOException

Method Detail

### finalize

    public void finalize()

  make sure we close all network connections when this handler is destroyed.
  Overrides:
    `finalize` in class `Object`

### send

    public void send(String message)

  sends a message to each of the clients in telnet-friendly output.

### run

    public void run()

  Continually accepts client connections. Client connections are refused when MAX_CONNECTIONS is reached.
  Overrides:
    `run` in class `Thread`

Log4j 1.2.8

Copyright 2000-2002 Apache Software Foundation.